LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
PathCapType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::PathCapType
| These constants determine which shape to use for start or end of a stroked path.

## Variables
const byte | BUTT =0
| End the path at its start or end point, without any cap. More...
const byte | ROUND =1
| Extend the path with a half circle cap, diameter is the line width. More...
const byte | SQUARE =2
| Extend the path with a rectangular cap, half the line width long. More...